# StepElement_HSequenceOfSurfaceElementPurposeMember.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_StepElement_HSequenceOfSurfaceElementPurposeMember.hxx>`
`#include <StepElement_SequenceOfSurfaceElementPurposeMember.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_StepElement_SurfaceElementPurposeMember.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_StepElement_SurfaceElementPurposeMember
#define | Item_hxx <StepElement_SurfaceElementPurposeMember.hxx>
#define | TheSequence StepElement_SequenceOfSurfaceElementPurposeMember
#define | TheSequence_hxx <StepElement_SequenceOfSurfaceElementPurposeMember.hxx>
#define | TCollection_HSequence StepElement_HSequenceOfSurfaceElementPurposeMember
#define | TCollection_HSequence_hxx <StepElement_HSequenceOfSurfaceElementPurposeMember.hxx>
#define | Handle_TCollection_HSequence Handle_StepElement_HSequenceOfSurfaceElementPurposeMember
#define | TCollection_HSequence_Type_() StepElement_HSequenceOfSurfaceElementPurposeMember_Type_()

## Functions

Handle_StepElement_HSequenceOfSurfaceElementPurposeMember | ShallowCopy (const Handle_StepElement_HSequenceOfSurfaceElementPurposeMember &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_StepElement_HSequenceOfSurfaceElementPurposeMember

#define Item Handle_StepElement_SurfaceElementPurposeMember

#define Item_hxx <StepElement_SurfaceElementPurposeMember.hxx>

#define TCollection_HSequence StepElement_HSequenceOfSurfaceElementPurposeMember

#define TCollection_HSequence_hxx <StepElement_HSequenceOfSurfaceElementPurposeMember.hxx>

#define TCollection_HSequence_Type_ | (

)

StepElement_HSequenceOfSurfaceElementPurposeMember_Type_()

#define TheSequence StepElement_SequenceOfSurfaceElementPurposeMember

#define TheSequence_hxx <StepElement_SequenceOfSurfaceElementPurposeMember.hxx>

## Function Documentation

Handle_StepElement_HSequenceOfSurfaceElementPurposeMember ShallowCopy | ( | const Handle_StepElement_HSequenceOfSurfaceElementPurposeMember & | me | ) | `[inline]`